List notifications
GET
/api/v1/notifications
const url = 'https://renotify.app/api/v1/notifications?filter%5Bname%5D=Welcome%20Series&filter%5Btemplate_name%5D=welcome_new_user&filter%5Bschedule%5D=weekly&filter%5Btarget_group_id%5D=1&filter%5Btarget_group.name%5D=VIP%20Customers&filter%5Benabled%5D=true&filter%5Bsearch%5D=welcome&per_page=15';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://renotify.app/api/v1/notifications?filter%5Bname%5D=Welcome%20Series&filter%5Btemplate_name%5D=welcome_new_user&filter%5Bschedule%5D=weekly&filter%5Btarget_group_id%5D=1&filter%5Btarget_group.name%5D=VIP%20Customers&filter%5Benabled%5D=true&filter%5Bsearch%5D=welcome&per_page=15' \ --header 'Authorization: Bearer <token>'Retrieve a paginated list of notifications for the current team.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”filter[name]
Filter by notification name.
string
Filter by notification name.
Example
Welcome Seriesfilter[template_name]
Filter by provider template name.
string
Filter by provider template name.
Example
welcome_new_userfilter[schedule]
Filter by schedule value.
string
Filter by schedule value.
Example
weeklyfilter[target_group_id]
Filter by target group ID.
integer
Filter by target group ID.
Example
1filter[target_group.name]
Filter by target group name.
string
Filter by target group name.
Example
VIP Customersfilter[enabled]
Filter by enabled state.
boolean
Filter by enabled state.
Example
truefilter[search]
Search notification names and templates.
string
Search notification names and templates.
Example
welcomeper_page
Results per page.
integer
Results per page.
Example
15Responses
Section titled “Responses”Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "401", "title": "Unauthenticated", "detail": "Unauthenticated." } ]}